﻿Imports System
Imports System.Collections.ObjectModel
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.OleDb.OleDbConnection
Imports Microsoft.TeamFoundation.Client
Imports Microsoft.TeamFoundation.Framework.Common
Imports Microsoft.TeamFoundation.Framework.Client
Imports System.Threading
Imports System.Globalization
Imports System.Resources

Public Class ChangeDescription

    Private projectName As String
    Private ProjectCollection As String
    Private serverName As String
    Private ServerData As String

    Dim LocRM As New ResourceManager("RenamingTool.Resource", GetType(MainPage).Assembly)

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        'close the form
        MainPage.Enabled = True
        MainPage.Focus()
        Me.Close()

    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        'changes the description of the tfs project
        changeDescription()
        MainPage.FillTreeView(serverName)
        MainPage.Enabled = True
        MainPage.Focus()
        Me.Close()
    End Sub
    Private Sub changeDescription()
        Dim connectionsql As String
        Dim querysql As String
        connectionsql = "Data Source=" & ServerData & ";Initial Catalog=Tfs_Configuration;Integrated Security=True"
        querysql = "update [dbo].[tbl_CatalogResource]" &
                    "set [Description] = '" & txtDescription.Text & "'" &
                    "Where [DisplayName] = '" & projectName & "'"
        updateRow(connectionsql, querysql)
    End Sub

    Private Sub ChangeDescription_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'when loading up the form
        'it gets all information required and changes the culture info.
        MainPage.Enabled = False
        txtDescription.Text = MainPage.getDescription()
        projectName = MainPage.getProjectName
        ProjectCollection = MainPage.getCollectionName
        serverName = MainPage.getServerName
        ServerData = MainPage.getDataTierName

        Me.Text = projectName

        If MainPage.langFra Then
            Thread.CurrentThread.CurrentUICulture = New CultureInfo("fr-CA")
        Else
            Thread.CurrentThread.CurrentUICulture = New CultureInfo("en-CA")
        End If
        changeLang()
    End Sub
    Public Sub updateRow(ByVal myConnectionString As String, ByVal myQueryString As String)

        Dim myConnection As New SqlConnection(myConnectionString)
        Dim myCommand As New SqlCommand(myQueryString)
        myCommand.Connection = myConnection
        myConnection.Open()
        myCommand.ExecuteNonQuery()
        myCommand.Connection.Close()

    End Sub
    Private Sub changeLang()
        'gets information from resource files
        btnSave.Text = LocRM.GetString("ChangeDescription.btnSave.text")
        btnCancel.Text = LocRM.GetString("ChangeDescription.btnCancel.text")
    End Sub
End Class