﻿Imports System.Resources
Imports System.Threading
Imports System.Globalization

Public Class addForm

    Dim LocRM As New ResourceManager("RenamingTool.Resource", GetType(MainPage).Assembly)

    Private Sub addForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If MainPage.langFra Then
            Thread.CurrentThread.CurrentUICulture = New CultureInfo("fr-CA")
        Else
            Thread.CurrentThread.CurrentUICulture = New CultureInfo("en-CA")
        End If
        languagechange()
        fillListBox()
        MainPage.Enabled = False
    End Sub
    Private Sub writeText()
        Try
            Dim num As Integer = 0
            Dim StringToText As String = ""
            My.Computer.FileSystem.WriteAllText("servers.txt", StringToText, False)
            For Each key In MainPage.Server.Keys

                StringToText = MainPage.Server(key).TfsServer & "|" & MainPage.Server(key).TfsData & "|" & MainPage.Server(key).TfsVersion & vbCrLf

                If (num = 0) Then
                    My.Computer.FileSystem.WriteAllText("servers.txt", StringToText, False)
                Else
                    My.Computer.FileSystem.WriteAllText("servers.txt", StringToText, True)
                End If
                num = 1
            Next
        Catch ex As Exception
            MessageBox.Show(ex.Message, _
                                "Alert Notice", _
                                MessageBoxButtons.OK, _
                                MessageBoxIcon.Exclamation, _
                                MessageBoxDefaultButton.Button1)
        End Try

    End Sub
    Private Sub addServer()
        Dim key As String
        Dim svr As New MainPage.Servers
        If (txtTfsServerAdd.Text.Length <> 0 And _
            txtTfsDataAdd.Text.Length <> 0 And _
            cmbVersion1.SelectedIndex <> -1) Then
            key = txtTfsServerAdd.Text
            svr.TfsServer = txtTfsServerAdd.Text
            svr.TfsData = txtTfsDataAdd.Text
            svr.TfsVersion = cmbVersion1.SelectedItem.ToString
            If (MainPage.Server.ContainsKey(key)) Then
                MessageBox.Show(LocRM.GetString("Error_ServerExist"), _
                    "Alert Notice", _
                    MessageBoxButtons.OK, _
                    MessageBoxIcon.Exclamation, _
                    MessageBoxDefaultButton.Button1)
            Else
                MainPage.Server.Add(key, svr)
                fillListBox()
                writeText()
                MainPage.Focus()
                Me.Close()
            End If
        Else
            MessageBox.Show(LocRM.GetString("Error_FillOutServer"), _
                    "Alert Notice", _
                    MessageBoxButtons.OK, _
                    MessageBoxIcon.Exclamation, _
                    MessageBoxDefaultButton.Button1)
        End If

    End Sub
    Private Sub DeleteServer()
        If (ListBox2.SelectedIndex <> -1) Then
            Dim a As String = ListBox2.SelectedItem
            MainPage.Server.Remove(a)
            ListBox2.Items.Remove(a)
            fillListBox()
            writeText()

        End If
    End Sub
    Private Sub EditServer()
        Dim key As String
        Dim svr As New MainPage.Servers
        If (ListBox1.SelectedIndex <> -1 And _
            txtTfsDataEdit.Text.Length <> 0 And _
            txtTfsServerEdit.Text.Length <> 0) Then
            key = txtTfsServerEdit.Text
            svr.TfsServer = txtTfsServerEdit.Text
            svr.TfsData = txtTfsDataEdit.Text
            svr.TfsVersion = cmbVersion2.Text
            MainPage.Server.Remove(ListBox1.SelectedItem)
            MainPage.Server.Add(key, svr)
            ListBox1.Items.Remove(ListBox1.SelectedItem)
            fillListBox()
            writeText()
        End If
    End Sub
    Private Sub fillListBox()
        ListBox1.Items.Clear()
        ListBox2.Items.Clear()
        MainPage.cmbServer.Items.Clear()
        ListBox2.SelectedItem = False
        For Each key In MainPage.Server.Keys
            ListBox1.Items.Add(MainPage.Server(key).TfsServer)
            ListBox2.Items.Add(MainPage.Server(key).TfsServer)
            MainPage.cmbServer.Items.Add(MainPage.Server(key).TfsServer)
        Next

    End Sub

    Private Sub btnCancel1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel1.Click
        MainPage.Enabled = True
        MainPage.Focus()
        Me.Close()
    End Sub

    Private Sub btnCancel2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCancel2.Click
        MainPage.Enabled = True
        MainPage.Focus()
        Me.Close()
    End Sub

    Private Sub btnCancel3_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCancel3.Click
        MainPage.Enabled = True
        MainPage.Focus()
        Me.Close()
    End Sub

    Private Sub btnAdd_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        MainPage.Enabled = True
        addServer()

    End Sub

    Private Sub btnEdit_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnEdit.Click
        MainPage.Enabled = True
        MainPage.Focus()
        EditServer()
        Me.Close()
    End Sub

    Private Sub btnDelete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        MainPage.Enabled = True
        DeleteServer()
        MainPage.cmbItem()
        MainPage.Focus()
        Me.Close()
    End Sub

    Private Sub ListBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBox1.SelectedIndexChanged
        If (ListBox1.SelectedIndex <> -1) Then
            txtTfsServerEdit.Text = MainPage.Server.Item(ListBox1.SelectedItem).TfsServer
            txtTfsDataEdit.Text = MainPage.Server.Item(ListBox1.SelectedItem).TfsData
            cmbVersion2.Text = MainPage.Server.Item(ListBox1.SelectedItem).TfsVersion
        End If
    End Sub

    Private Sub ListBox2_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListBox2.SelectedIndexChanged
        If (ListBox2.SelectedIndex <> -1) Then
            txtTfsServerDelete.Text = MainPage.Server.Item(ListBox2.SelectedItem).TfsServer
            txtTfsDataDelete.Text = MainPage.Server.Item(ListBox2.SelectedItem).TfsData
            cmbVersion3.Text = MainPage.Server.Item(ListBox2.SelectedItem).TfsVersion
        End If
    End Sub
    Private Sub languagechange()
        TabAdd.Text = LocRM.GetString("addForm.addTab.text")
        TabEdit.Text = LocRM.GetString("addForm.editTab.text")
        TabDelete.Text = LocRM.GetString("addForm.deleteTab.text")
        btnCancel1.Text = LocRM.GetString("ChangeDescription.btnCancel.text")
        btnCancel2.Text = LocRM.GetString("ChangeDescription.btnCancel.text")
        btnCancel3.Text = LocRM.GetString("ChangeDescription.btnCancel.text")
        btnAdd.Text = LocRM.GetString("addForm.addTab.text")
        btnEdit.Text = LocRM.GetString("addForm.editTab.text")
        btnDelete.Text = LocRM.GetString("addForm.deleteTab.text")
        Label1.Text = LocRM.GetString("addForm.addTab.label1.text")
        Label2.Text = LocRM.GetString("addForm.addTab.label2.text")
    End Sub


End Class